package org.beigesoft.delegate;

/*
 * Copyright (c) 2016 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

import java.util.Map;

/**
 * <p>Abstraction of generic delegate that makes something with a model.</p>
 *
 * @author Yury Demidenko
 * @param <M> type of model
 */
public interface IDelegate<M> {

  /**
   * <p>Make something with a model.</p>
   * @param pReqVars additional request scoped parameters
   * @param model to make
   * @throws Exception - an exception
   **/
  void makeWith(Map<String, Object> pReqVars, M model) throws Exception;
}
