package org.beigesoft.handler;

/*
 * Copyright (c) 2019 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

import java.util.Map;

import org.beigesoft.model.IRequestData;

/**
 * <p>Abstraction of spam/swindler request handler.
 * Any service that reveal/suspect spam can invokes this.</p>
 *
 * @author Yury Demidenko
 */
public interface ISpamHnd {

  /**
   * <p>Handle suspected spam request.</p>
   * @param pRqVs Request scoped variables
   * @param pRqDt Request Data
   * @param pDang danger, e.g. 1 - wrong parameters,
   * 100 invasion attempt into authorized session
   * @param pMsg message maybe null
   * @throws Exception - an exception
   */
  void handle(Map<String, Object> pRqVs,
    IRequestData pRqDt, int pDang, String pMsg) throws Exception;
}
