package org.beigesoft.model;

/*
 * Copyright (c) 2018 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

/**
 * <p>Abstraction of persistable service.</p>
 *
 * @author Yury Demidenko
 */
public interface IService extends IHasIdLongVersionName {

  /**
   * <p>Getter for tmMe.
   * Not null, default TIME, booking time method.</p>
   * @return EServTime
   **/
  EServTime getTmMe();

  /**
   * <p>Setter for tmMe.
   * Not null, default TIME, booking time method.</p>
   * @param pTmMe reference
   **/
  void setTmMe(final EServTime pTmMe);

  /**
   * <p>Getter for tmAd.
   * Additional time method,
   * e.g. step from zero in minutes (5/10/15/20/30) for tmMe=="*TIME*".</p>
   * @return Integer
   **/
  Integer getTmAd();

  /**
   * <p>Setter for tmAd.
   * Additional time method,
   * e.g. step from zero in minutes (5/10/15/20/30) for tmMe=="*TIME*".</p>
   * @param pTmAd reference
   **/
  void setTmAd(final Integer pTmAd);
}
